
RSBag - Tasks #1542
Document Python client API
06/12/2013 11:26 AM - S. Wrede

Status: Resolved Start date: 06/12/2013
Priority: Low Due date:
Assignee: J. Moringen % Done: 100%
Category: Documentation Estimated time: 0.00 hour
Target version: rsb-0.9
Description

We should somewhere at least reference the existence of the Python binding, even if it is not officially supported yet. The signs of
existence I am aware of are:

    -  Implementation of Connector: https://projects.cor-lab.de/svn/flexirob/modules/TrajectoryEvaluation/bin/bagConnector.py
    -  Exemplary usage: https://projects.cor-lab.de/svn/flexirob/modules/TrajectoryEvaluation/bin/evaluation.py

Associated revisions
Revision f0e40327 - 06/28/2013 02:29 PM - J. Moringen

Added dynamic switcher infrastructure in {_static,corlab}/

refs #1542

    -  _static/multi.js: new file; javascript support code for dynamic
  switcher

    -  _static/switcher.svg: new file; switcher icon
    -  corlab/static/corlab.css: added style declarations for dynamic

  switcher

Revision 2b994e95 - 06/28/2013 02:29 PM - J. Moringen

Renamed {use-cases,tutorial}.rst

refs #1542

    -  tutorial.rst: renamed use-cases.rst -> tutorial.rst
    -  use-cases.rst: likewise
    -  index.rst: adapted to renamed file
    -  _templates/page.html: likewise

Revision 1ce11b37 - 06/28/2013 02:29 PM - J. Moringen

Added client api tutorial in tutorial-client-api.rst

fixes #1542

    -  tutorial-client-api.rst: new file; contains basic tutorial for rsbag
  client API; currently only Python and Common Lisp

    -  tutorial.rst: include tutorial-client-api.rst
History
#1 - 06/12/2013 01:04 PM - J. Moringen

That's an old snapshot. The code lives in project:rsbag in the rsbag-python repository. An example is included.

#2 - 06/28/2013 02:38 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsbag-manual|commit:1ce11b37af041df0c6a51904cbfd075ef5075315.

#3 - 12/22/2013 09:17 PM - J. Moringen
- Subject changed from Document existence of Python connector to Document Python client API
